View Issue Details

IDProjectCategoryView StatusLast Update
0001377OpenFOAM[All Projects] Bugpublic2015-10-21 17:16
ReporterjkauAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version 
Fixed in Version 
Summary0001377: renumberMesh does not account for cell sets
DescriptionrenumberMesh does not account for cell sets
Steps To Reproduce1. Copy floatingObject tutorial from $FOAM_TUTORIALS
2. Insert "runApplication renumberMesh -overwrite" in Allrun script after topoSet and before subSetMesh.
3. Run Allrun script.

TagsNo tags attached.

Activities

user4

2015-03-09 12:02

  ~0004059

This is a missing feature and is being looked into.

wyldckat

2015-10-12 22:43

updater   ~0005392

Commit ef303f0278c6ac814b25aa01d73fa97f76e03972 in OpenFOAM-history seems to have the fix for this bug report: https://github.com/OpenCFD/OpenFOAM-history/commit/ef303f0278c6ac814b25aa01d73fa97f76e03972

wyldckat

2015-10-17 21:54

updater  

renumberMesh.C (39,832 bytes)

wyldckat

2015-10-17 21:54

updater  

renumberMeshDict (3,148 bytes)
/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  dev                                   |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    note        "mesh renumbering dictionary";
    object      renumberMeshDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

// Write maps from renumbered back to original mesh
writeMaps true;

// Optional entry: sort cells on coupled boundaries to last for use with
// e.g. nonBlockingGaussSeidel.
sortCoupledFaceCells false;

// Optional entry: renumber on a block-by-block basis. It uses a
// blockCoeffs dictionary to construct a decompositionMethod to do
// a block subdivision) and then applies the renumberMethod to each
// block in turn. This can be used in large cases to keep the blocks
// fitting in cache with all the the cache misses bunched at the end.
// This number is the approximate size of the blocks - this gets converted
// to a number of blocks that is the input to the decomposition method.
//blockSize 1000;

// Optional entry: sort points into internal and boundary points
//orderPoints false;

// Optional: suppress renumbering cellSets,faceSets,pointSets
//renumberSets false;


method          CuthillMcKee;
//method          Sloan;
//method          manual;
//method          random;
//method          structured;
//method          spring;
//method          zoltan;             // only if compiled with zoltan support

//CuthillMcKeeCoeffs
//{
//    // Reverse CuthillMcKee (RCM) or plain
//    reverse true;
//}

manualCoeffs
{
    // In system directory: new-to-original (i.e. order) labelIOList
    dataFile "cellMap";
}


// For extruded (i.e. structured in one direction) meshes
structuredCoeffs
{
    // Patches that mesh was extruded from. These determine the starting
    // layer of cells
    patches (movingWall);
    // Method to renumber the starting layer of cells
    method  random;

    // Renumber in columns (depthFirst) or in layers
    depthFirst true;

    // Reverse ordering
    reverse false;
}


springCoeffs
{
    // Maximum jump of cell indices. Is fraction of number of cells
    maxCo 0.01;

    // Limit the amount of movement; the fraction maxCo gets decreased
    // with every iteration
    freezeFraction 0.999;

    // Maximum number of iterations
    maxIter 1000;
}


blockCoeffs
{
    method          scotch;
    //method hierarchical;
    //hierarchicalCoeffs
    //{
    //    n           (1 2 1);
    //    delta       0.001;
    //    order       xyz;
    //}
}


zoltanCoeffs
{
    ORDER_METHOD    LOCAL_HSFC;
}


// ************************************************************************* //
renumberMeshDict (3,148 bytes)

wyldckat

2015-10-17 21:58

updater   ~0005423

Last edited: 2015-10-18 13:49

View 2 revisions

Tested just now the fix and attached the updated files "renumberMesh.C" and "renumberMeshDict" for the folder "applications/utilities/mesh/manipulation/renumberMesh" from the OpenFOAM-history repository, which are from the following commits:

 * https://github.com/OpenCFD/OpenFOAM-history/commit/a95660cd7255bebe5fe7895fb7d0f63584be3dad
   * ENH: renumberMesh: renumber cell/face/point sets
   * Commit by: Mattijs

 * https://github.com/OpenCFD/OpenFOAM-history/commit/ef303f0278c6ac814b25aa01d73fa97f76e03972
   * ENH: renumberMesh: remove *ProcAddressing if not consistent
   * Commit by: Mattijs

henry

2015-10-21 17:15

manager   ~0005455

Resolved by commit 135414cc169d0d4a50ceea8a1b44e7aa6629aa99

Issue History

Date Modified Username Field Change
2014-08-20 12:26 jkau New Issue
2015-03-09 12:02 user4 Note Added: 0004059
2015-03-24 00:17 liuhuafei Issue cloned: 0001627
2015-10-12 22:43 wyldckat Note Added: 0005392
2015-10-17 21:54 wyldckat File Added: renumberMesh.C
2015-10-17 21:54 wyldckat File Added: renumberMeshDict
2015-10-17 21:58 wyldckat Note Added: 0005423
2015-10-17 21:58 wyldckat Assigned To => henry
2015-10-17 21:58 wyldckat Status new => assigned
2015-10-18 13:49 wyldckat Note Edited: 0005423 View Revisions
2015-10-21 17:15 henry Note Added: 0005455
2015-10-21 17:15 henry Status assigned => resolved
2015-10-21 17:15 henry Resolution open => fixed